org.apache.lucene.analysis.ko

## Class KoreanPartOfSpeechStopFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.FilteringTokenFilter
        - - org.apache.lucene.analysis.ko.KoreanPartOfSpeechStopFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class KoreanPartOfSpeechStopFilter
      extends FilteringTokenFilter

  Removes tokens that match a set of part-of-speech tags.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<POS.Tag>` | `DEFAULT_STOP_TAGS` Default list of tags to filter.

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KoreanPartOfSpeechStopFilter(TokenStream input)` Create a new `KoreanPartOfSpeechStopFilter` with the default list of stop tags `DEFAULT_STOP_TAGS`.
    `KoreanPartOfSpeechStopFilter(TokenStream input, Set<POS.Tag> stopTags)` Create a new `KoreanPartOfSpeechStopFilter`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `accept()`

    - ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

      `end, incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_STOP_TAGS

          public static final Set<POS.Tag> DEFAULT_STOP_TAGS

      Default list of tags to filter.

  - ### Constructor Detail

    - #### KoreanPartOfSpeechStopFilter

          public KoreanPartOfSpeechStopFilter(TokenStream input)

      Create a new `KoreanPartOfSpeechStopFilter` with the default list of stop tags `DEFAULT_STOP_TAGS`.
      Parameters:
        `input` - the `TokenStream` to consume

    - #### KoreanPartOfSpeechStopFilter

          public KoreanPartOfSpeechStopFilter(TokenStream input,
                                              Set<POS.Tag> stopTags)

      Create a new `KoreanPartOfSpeechStopFilter`.
      Parameters:
        `input` - the `TokenStream` to consume
        `stopTags` - the part-of-speech tags that should be removed

  - ### Method Detail

    - #### accept

          protected boolean accept()

      Specified by:
        `accept` in class `FilteringTokenFilter`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.